com.holonplatform.datastore.mongo.core.expression

## Interface PropertyBoxValue

- All Superinterfaces:
    com.holonplatform.core.Expression

      public interface PropertyBoxValue
      extends com.holonplatform.core.Expression

  Expression which represents a `PropertyBox` value.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `com.holonplatform.core.Expression.ExpressionResolverFunction<E extends com.holonplatform.core.Expression,R extends com.holonplatform.core.Expression>, com.holonplatform.core.Expression.InvalidExpressionException`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PropertyBoxValue` | `create(com.holonplatform.core.property.PropertyBox value)` Create a new `PropertyBoxValue`.
    `static PropertyBoxValue` | `create(com.holonplatform.core.property.PropertyBox value, com.holonplatform.core.property.PropertySet<?> propertySet)` Create a new `PropertyBoxValue`.
    `default com.holonplatform.core.property.PropertySet<?>` | `getPropertySet()` Get the expression property set.
    `com.holonplatform.core.property.PropertyBox` | `getValue()` Get the `PropertyBox` value.

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

- - ### Method Detail

    - #### getValue

          com.holonplatform.core.property.PropertyBox getValue()

      Get the `PropertyBox` value.
      Returns:
        The value

    - #### getPropertySet

          default com.holonplatform.core.property.PropertySet<?> getPropertySet()

      Get the expression property set.
      Returns:
        the expression property set

    - #### create

          static PropertyBoxValue create(com.holonplatform.core.property.PropertyBox value)

      Create a new `PropertyBoxValue`.
      Parameters:
        `value` - The value
      Returns:
        A new `PropertyBoxValue` instance

    - #### create

          static PropertyBoxValue create(com.holonplatform.core.property.PropertyBox value,
                                         com.holonplatform.core.property.PropertySet<?> propertySet)

      Create a new `PropertyBoxValue`.
      Parameters:
        `value` - The value
        `propertySet` - The property set to use
      Returns:
        A new `PropertyBoxValue` instance

Copyright © 2019 The Holon Platform. All rights reserved.